<?xml version="1.0" encoding="utf-8"?>
<manifest
	package="hh.dejsem"
	xmlns:android="http://schemas.android.com/apk/res/android"
	>

	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
	<uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
	<uses-permission android:name="android.permission.SEND_SMS"/>
	<uses-permission android:name="android.permission.VIBRATE"/>
	<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.READ_PHONE_STATE"/>

	<!--<provider
		android:name="dejsem.fileprovider"
		android:authorities="hh.fileprovider"
		android:grantUriPermissions="true"/>-->

	<application
		android:allowBackup="true"
		android:icon="@mipmap/ic_launcher"
		android:label="@string/app_name"
		android:theme="@style/ThemeDej"
		>

		<activity android:name=".Main">
			<intent-filter>
				<action android:name="android.intent.action.MAIN"/>
				<category android:name="android.intent.category.LAUNCHER"/>
			</intent-filter>
		</activity>

		<activity android:name=".fm.UploadAct">

            <intent-filter android:label="upload to server">
                <action android:name="android.intent.action.SEND" />
                <action android:name="android.intent.action.SENDTO" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:mimeType="*/*" />
            </intent-filter>

	        <!--<intent-filter>
		        <action android:name="android.intent.action.VIEW" />
		        <category android:name="android.intent.category.DEFAULT" />
		        <data android:mimeType="*/*" />
	        </intent-filter>-->

			<!--
                <data android:scheme="file"/>
				<data android:scheme="content"/>
            -->

			<!--
                <data android:mimeType="text/*"/>
				<data android:mimeType="image/*"/>
				<data android:mimeType="audio/*"/>
				<data android:mimeType="video/*"/>
            -->

			<!--
            <intent-filter>
				<action android:name="android.intent.action.SEND"/>
				<category android:name="android.intent.category.DEFAULT"/>
				<data android:mimeType="text/*"/>
				<data android:mimeType="image/*"/>
				<data android:mimeType="audio/*"/>
				<data android:mimeType="video/*"/>
			</intent-filter>
            -->

			<!--
            <intent-filter>
				<action android:name="android.intent.action.SEND"/>
				<category android:name="android.intent.category.DEFAULT"/>
				<data android:scheme="file"/>
				<data android:scheme="content"/>
			</intent-filter>
            -->

			<!--
            <intent-filter>
				<action android:name="android.intent.action.SEND"/>
				<category android:name="android.intent.category.DEFAULT"/>
			</intent-filter>
            -->

			<!--
            <intent-filter>
				<action android:name="android.intent.action.VIEW"/>
				<category android:name="android.intent.category.DEFAULT"/>
				<data android:mimeType="text/*"/>
				<data android:mimeType="image/*"/>
				<data android:mimeType="audio/*"/>
				<data android:mimeType="video/*"/>
				<data android:scheme="file"/>
				<data android:scheme="content"/>
			</intent-filter>
            -->

			<!--
                <data android:mimeType="text/*"/>
				<data android:mimeType="image/*"/>
				<data android:mimeType="audio/*"/>
				<data android:mimeType="video/*"/>
            -->

			<!--
            <intent-filter>
				<action android:name="android.intent.action.VIEW"/>
				<category android:name="android.intent.category.DEFAULT"/>
				<data android:scheme="file"/>
				<data android:scheme="content"/>
			</intent-filter>
            -->

			<!--
            <intent-filter>
				<action android:name="android.intent.action.VIEW"/>
				<category android:name="android.intent.category.DEFAULT"/>
			</intent-filter>
            -->

		</activity>

        <!--<activity
			android:name=".TransferAlert"
			android:excludeFromRecents="true"
			android:noHistory="true"
			android:taskAffinity=""
			android:theme="@style/ThemeDej.Transparent"
			/>-->

		<activity
			android:name=".fm.TransferAlert"
        	android:theme="@style/ThemeDej.Transparent"
			/>
			<!--android:theme="@style/ThemeDej.Transparent"-->

        <activity
			android:name=".fm.ProgressMonitor"
			android:excludeFromRecents="true"
			android:noHistory="true"
			android:taskAffinity=""
			android:theme="@style/ThemeDej.Transparent"
			/>

		<receiver android:name=".BroadcastReceiver">
			<intent-filter android:label="receiver B">
				<action android:name="android.intent.action.SEND" />
				<action android:name="android.intent.action.SENDTO" />
				<category android:name="android.intent.category.DEFAULT" />
				<data android:mimeType="*/*" />
			</intent-filter>
		</receiver>

		<activity android:name=".SdUri"/>

		<activity android:name=".hack.HackUDP"/>

		<activity android:name=".hack.HackNotifListAct"/>

		<activity android:name=".hack.HackContextMenu"/>

		<activity android:name=".hack.HackNotifDialogAct"/>

		<activity android:name=".hack.HackA">

			<!--
            <intent-filter
	            android:label="dej-expose"
	            >
                <action android:name="android.intent.action.SEND" />
                <action android:name="android.intent.action.SENDTO" />
                <category android:name="android.intent.category.DEFAULT" />
                <data android:mimeType="*/*" />
            </intent-filter>

	        <intent-filter
	            android:label="dej-inspect"
	            >
		        <action android:name="android.intent.action.VIEW" />
		        <category android:name="android.intent.category.DEFAULT" />
		        <data android:mimeType="*/*" />
	        </intent-filter>
            -->

		</activity>

	</application>

</manifest>